MyCafeCup Platinum Internet Cafe Software

Welcome to MyCafeCup Platinum.

MyCafeCup Platinum

The Ultimate Internet Cafe and CyberCafe Management Software Solution.

Web site : | Home Page http://www.MyCafeCup.com
E-mail : | Contact E-mail Info@mycafecup.com


Introduction to MyCafeCup Software

Introduction to MyCafeCup.

The concept of MyCafeCup :

MyCafeCup is the application for reducing the manual and complicated operation of Internet Cafe / Cyber Cafe / Gaming Cafe / Online Game Center or PC-rental shops such as the calculation of usage amount, income collection, reporting, shop's keeper corruption.

The general PC-rental shop service charge comes from the calculation of the amount of usage time. The mainly concept of MyCafeCup processing is a selling the "Coupon"(sometime called Time Code, Ticket or Account coupon ) to limit the usable usage time of each customer. The owner just prepare the coupon prerior to sell to the customers. The customer just log-on to any available machine to entering using the machine the the system will automatically count the usage time and also convert to be the service amount in real-time. Once the amount on the coupon is zero, the system will lock the screen immediately (you can configure the system to send the warning message to the user screen about a few minute left). If the customer log-out from the system but the coupon still have the amount, the customer can still log-on in any time as they want.

There are 5 kinds of customer accounts in MyCafeCup for compeltely support for any marketing of the shop. (Pre-Paid coupon, Pre-Paid Add-On coupon, Post-Paid coupon, Post-Paid coupon for thusted member, Post-Paid Unlimited Time coupon-Less and Post-Paid with Limited Time coupon-less)

You can setup the usage rate related to time-schedule freely, means you can enhance your marketing plan much easier than the original manual processing. Since first time you plan to use the "Normal Limited Amount" coupon, you will get more extra cash-flow immediately.

The system will automatically keep the fully detail of overall system activate such as usage history of user,total income(daily, weekly, monthly and yearly), log-in/ log-out history of administrator, the opening/closing time of the system, reporting and etc...

Why you have to use MyCafeCup?
  • You will get more of your free time automatically.
  • No more note for the time of incoming/outgoing users.
  • No more worries about the over usage time of users.
  • No more worries about the employee corruption.
  • No more problem about settling the total income to any of your Cafe' share holders.
  • Immediately increasing your "Cash-Flow" by "Normal Limited Account" user type (Pre-Paid account).
  • Easier calculate the usage amount by "Unlimited Account" user types (Post-Paid account)
  • High Security for prevent unauthorized person using the machine.
  • Enhance your cafe look to be as same as professional shop.
  • It has been developed with the superior development tools from the creator of "Microsoft Windows O/S" as same as your machine O/S, so It has fully compatible, reliability, and efficiency while it is running.
  • Reasonable pricing.
  • No hidden cost, such as database engine, special hardware devices, etc..
  • No complicated process of installation and usage, so you can re-install the software yourself easily without asking for the software engineer or other specilist.
  • MyCafeCup system can work together with Windows Firewall and no special configuration required. (You don't have to disable the windows firewall)
  • Compatible with Windows 7 / 2008 (32bit and 64 bit) !
  • Automatic data synchronization between server and clients, so in case of emergency with the server (Power black-out, physical network failure, etc... ) the server can be shuted-down temporary without the interupting the user whom using the client machines.
  • Easily blocking applications and web sites browsing with "Keyword filtering".
  • Remote Viewer for viewing the server status remotely. (Both directly by Plug-in application or common web browser)
  • WiFi HotSpot Plug-in supported (Sold separately). Please visit MyCafeCup.com for more information.
  • Etc., there are many more features and do not wait for download and test. So you will understand Why we still have new members almost everyday.


System Components

MyCafeCup is a Client / Server type application and communicates over the TCP/IP networking protocol. Means there are mainly two components, that are server-side and client-side applications.

MyCafeCup Server : this is the system central application for real-time online manage all of your machines over the network. And it's also open for the services to the client-side application such as user authentication, usage history, statistic, report generating and etc.

MyCafeCup Client : this is the system guard for every service machines(clients) and the main function is screen locking to prevent the unauthorized user using the machine.

MyCafeCup Installer : this is the My Cafe' Cup applications installer, add/remove components, repairing and un-installing.


MyCafeCup : System Requirement.

System Requirement

MyCafeCup Server : (Any machine that MS Windows working on)
  • 500 MHz+, x86 x64 CPU 100% Compatible (Intel CPUs are recommended)
  • 64 MB Ram System Memory
  • 64 MB Available Hard Disk Space
  • Microsoft Windows XP (SP2+) / 2003 (R2) / Vista (32-64 bit) / Windows 7 (32-64 bit) / 2008 (32-64 bit) or new comming MS O/S.
  • Network Card with Standard TCP/IP Networking Protocol (Static IP Address strongly recommended)
  • Printer (Local or network)
MyCafeCup Client : (Any machine that MS Windows working on)
  • 300 MHz+, x86 x64 CPU 100% Compatible (Intel CPUs are recommended)
  • 64 MB Ram System Memory
  • 15 MB Available Hard Disk Space
  • Microsoft Windows XP (SP2+) / 2003 (R2) / Vista (32-64 bit) / Windows 7 (32-64 bit) / 2008 (32-64 bit) or new comming MS O/S.
  • Network Card with Standard TCP/IP Networking Protocol
  • Fixed or DHCP Supports


Introduction to MyCafeCup Software

MyCafeCup's Features.

MyCafeCup Server features :
  • Multi-Languages (Currently English / Spanish / French / Portuguese / Swedish / Thai ).
  • Clients throught DHCP Supported.
  • Pre-paid coupon, Post-paid coupon, Post-paid coupon-less, Add-On coupon, Online Add-On. (Coupon, Time Card or Ticket)
  • On-Action descriptions for online explain in every fields of maintenance screens.
  • Multiple Period Time Plan with visual configuring chart, that makes easier configure the marketing plans. The charing rates can be flat rate (Whole day) or dependence by period of the day.
  • Machine Group management.
  • Fast , Secure and Reliability database system.
  • "Indy Logos" for online-real time showing the status of connection between Server and Clients.
  • "Remote Task List" for viewing and killing the active tasks remotely.
  • "Remote Screen Capture" for viewing of clients active screen.
  • Multilevel permission of Administrators for suitable system management (Fully functions, Read only/ Low level/ Clearing).
  • "Online-Real time clients monitoring" identifying by machines IP Address and Computer Name .
  • "Online-Real time clients monitoring" the current log-in users.
  • Sending short messages online directly to any client machine.
  • Automatically Sending the warning message regarding to user's time left. (from 1 - 15 minutes).
  • Remotely forcing the client machine to "Lock Screen".
  • Remotely forcing the client machine to "Reboot".
  • Remotely forcing the client machine to "Shutdown".
  • Remotely forcing the client machine to "Wake-up on LAN".
  • Fully system activities logging.
  • Multiple User Account type : Normal Limited Amount (Pay before use) ,Unlimited Once (Pay after use, expires after log-out), Unlimited Freeze (Pay after use, Never expired, suitable for V.I.P. member), Unlimited On-line (Pay after use, No Coupon, No user code and password need) and Add-On for Normal Limited (Pay before use, for extend the amount of Normal Limited Amount user type)
  • Coupon usage duration limitation. (Expiry days from the first time logged-on)
  • Supports multiple pricing Time Plan (Charge Rates can be configured to different rates by periods of the day)
  • Minimum charge for each session of user log-on.
  • The user can be create one-by-one or by batch.
  • Can be run Background Mode.
  • Fully Report generator.
  • Database Backup / Restore feature.
  • Automatically Backup the database for previous 7 days.
  • Self hiding of process from "Windows Task manager" to prevent the user to "End Task".
  • Can work together with Windows XP-Service Pack 2 Firewall (The new windows enhance security feature), no special configuration required. (You don't have to disable the windows firewall)
  • Can shut-down temporary without interupting clients.
  • Remote Viewer for viewing the server status remotely. (Both directly by Plug-in application or common web browser)
  • Date/Time Synchronization to Clients machines.
  • On screen Total income real-time viewer by Daily, Weekly, Monthly and Yearly.
  • 5 kinds of Coupon generator.
  • Etc...
  • See more in detail at www.MyCafeCup.com

MyCafeCup Client : mainly for security.
  • High Security to protect the machine from un-authorized person.
  • "Indy Logos" for online-real time showing the status of connection between Server and Clients.
  • User define Movie & Logo : You can replace the background pictures as you want. (If there are more than one pictures and movies, the system will automatically random and show and then rotate for a period of time.)
  • Intelligent Screen Locking that automatically kill or minimize any of running applications after user log-out.
  • Intelligent Screen Locking allows the system activate the screen saver.
  • Build-In Screen Saver (Fly to the stars) after 3-5 mins of no-activity screen.
  • Self Recovery and Automatic Synchronize the data after lost connection between server.
  • Unable to use the Control-Alt-Delete , Ctl+Esc , Alt+F4 and Keyboard special windows buttons.
  • Online real-time on screen Status Board (Score board like)
  • Automatic log off the user immediately when time expires.
  • Automatic Startup with windows.
  • Emergency Code support in case of lost connections, unable to authorize, or any emergency situation to quit the MyCafeCup.
  • Self-hiding from System task monitor and manager
  • System task manager disabled.
  • User can change their own Password.
  • User can extend their amount themselves (with "Add-On" Coupon).
  • Self-protection from removing, deleting or hacking.
  • High and Low resolution of screen capturing. (for sent it bakck to the server)
  • MyCafeCup Server IP Address scanner.
  • DHCP supported.
  • USB-KeyDisk Supported.
  • Etc ...
  • See more in detail at www.MyCafeCup.com


Introduction to MyCafeCup Software

Limitation of Evaluation Version (Trial version)

If you are installing an Evaluation Version, which is for evaluation purpose only. So there are some limitation as follows :
  • Maximum 5 client machines.
  • Maximum creation of 1,000 user accounts. ( the current user still valid until expires)
  • Unable to service the "Unlimited Freeze" account type.
  • The "System Policies" features has been disabled.
  • Unable to change an "Emergency Code".
For registered version : you have to register directly from only "MyCafeCup.com".
  • Maximum services to clients is depend on the number of your registering ordered.
  • All above limitation of evaluation version will be unlocked.
  • Do not use any ILLEGAL / CRACKED / HACKED licenses.
  • Please e-mail us, if you have found any above licenses.


MyCafecup : Usage Flows.

Working with MyCafeCup System.

MyCafeCup system provides totally 7 kinds of user and service types,
  1. Normal Limited Amount : Limited the usage amount (Pay before use, Pre-Paid)
  2. Unlimited Once : Un-limited the usage amount and will expired immediately after logout (Pay after use, Post-Paid)
  3. Unlimited Freeze : Un-limited the usage amount and will never expired (Pay after use, Post-Paid)
  4. Unlimited Online : Un-limited the usage amount without code/password. (Pay after use, Post-Paid). The administrator just manually select (from <Online Tab>) the specified machine for the customer to use the machine with-out log-on.
  5. Limited Online : Limited the usage amount without code/password. (Pay after use, Post-Paid). The administrator just manually select (from <Online Tab>) the specified machine for the customer to use the machine with-out log-on.
  6. Add-On for Normal Limited : The coupon for add-on the amount for "Normal Limited Amount" user type, This is the special coupon that can not log-on to the system.
  7. Add-On Online : The administrator/casheir can manully find the user code and add the amount from the server screen.
Note : For all "Unlimited" (Pay after use, Pre-Paid) type, the system will make the client machine temporary unavailable for service to the next customer until the administrator "check-out" by click "Check-out" at the Popup-menu on the "Online Viewer" or use the Administrator code to log-on at the client screen. The reason is to ensure that the administrator has actually received the money from previous user after they finished using the machines.
Work flow.
Normal Limited Account (Pre-paid) :
  1. Mr. A : Buy the new "Normal Limited" account from casheir.
  2. Mr. A : Get a coupon and goto the client machine and log-on to use the machine.
(If the coupon still have amount left, he can come back to use the machine with-out having to contact the casheir)

Unlimited Account (Post-Paid) :
  1. Mr. A : Get the new "Unlimited Once" or "Unlimited Freeze" account from casheir.
  2. Mr. A : Get a coupon and goto the client machine and log-on to use the machine.
  3. Mr. A : Log-out then go back to pay for the total service charge at the casheir.
  4. Casheir : Check-out the machine after received the payment.

Unlimited Online (Post-Paid without coupon) :
  1. Mr. A : Contact casheir. The casheir select the machine for Mr. A to goto use.
  2. Mr. A : Goto the client machine that selected and press enter to start using the machine.
  3. Mr. A : Log-out then go back to pay for the total service charge at the casheir.
  4. Casheir : Check-out the machine after received the payment.

Limited Online (Post-Paid limited amount without coupon) :
  1. Mr. A : Contact casheir. The casheir select the machine and enter the limtied amount/time for Mr. A to goto use.
  2. Mr. A : Goto the client machine that selected and press enter to start using the machine.
  3. Mr. A : Log-out then go back to pay for the total service charge at the casheir.
  4. Casheir : Check-out the machine after received the payment.

Legend :
  • : Server Machine.
  • : Client Machine.
  • : Casheir / Administrator / Shop Keeper.
  • : Mr. A. the new customer.
  • : Coupon / User code
  • : Money payment.


MyCafeCup : Installation guide.

If you are new in MyCafeCup
  • Please read the "System Requirement" topic to preparing the suitable machines.
  • For evaluating, prepare at least two machines for separate the server-side and client-side,eventhought you can install Server-side and client-side within the same machine. This is the best way that you can get well understanding in MyCafeCup processing.
  • MyCafeCup Client requires the automatically windows's log-on for operating system, because MyCafeCup Client will take over the system authorization when working. You can easier configure (for Windows95/98/98se/Me) by
    • 1) reboot the machine
    • 2) enter any new user code without entering any password
  • The server machine you have to correctly installing the printer driver for using the report function.
  • Before starting to install mycafecup, please CLOSE all running resident process/programs including ANTI-VIRUS/ ANTI-SPYWARE and all system utility.
  • Ensure you already have got an "Emergency Code".
  • Static IP Address for every machine recommended.
  • There are no important information on every machine you going to install.
  • Please do not hesitate to e-mail us at " [image] info@mycafecup.com" whenever you have got any problems.
  • The installer file is available for download from Home Page MyCafeCup Homepage.
  • The MyCafeCup Platinum installer file is about 6.90 MB in size. (Please ensure you have download it completely)
Emergency Code : in any emergency situation or when you have misunderstanding using this software, you can log-on the mycafecup both Server and Client with this code.

User Code : | Start
Password : | Evaluation
  • Both 'User Code' and 'Password' are letters case sensitive.


MyCafeCup Server : Installaiton Guide.

Installation - MyCafeCup Server

Step by Step for installing MyCafeCup Server
 | Before starting to install mycafecup, please CLOSE all running resident process/programs including ANTI-VIRUS/ ANTI-SPYWARE and all system utility.
1 | Run (Right Click and Open ) the mycafecup installer file from your download folder or CD rom. Then click ":OK" button to continue.
2 | Follows the installer wizard by click "Next" to read carefully "User's License.agreement". If you are Agree click "I Agree" to continue.
3 | Choose "Server" to install the mycafecup server .& documents. ( [image] the default selection is to install the "Client") then click next to start copy the neccessary files in to the machine.
4 | After file copying has finished. REBOOT the machine to complete the installation.
 | Now, you can launch the mycafecup server at <Start Menu>/ <Programs> / <MyCafeCup Platinum> Folder.
 | --> [image] CafeCup Server


MyCafeCup Client : Installation Guide

Installation - MyCafeCup Client

Step by Step for installing MyCafeCup Client
 | Before starting to install mycafecup, please CLOSE all running resident process/programs including ANTI-VIRUS/ ANTI-SPYWARE and all system utility.
1 | Run (Right Click and Open ) the mycafecup installer file from your download folder or CD rom. Then click ":OK" button to continue.
2 | Follows the installer wizard by click "Next" to read carefully "User's License.agreement". If you are Agree click "I Agree" to continue.
3 | Choose "Client" to install the mycafecup client.
4 | After file copying has finished. REBOOT the machine to complete the installation.
 | Now, you can launch the mycafecup client at <Start Menu>/ <Programs> / <MyCafeCup Platinum> Folder.
 | --> [image] CafeCup Client
 | At the first time running mycafecup client, the program will first asking for the server IP Address. Don't worry, the software will scan for your server automatically. (Note : Please ensure that the mycafecup server is running.)


MyCafeCup : New Version Upgrading Guide.

Upgrade instruction guide (from older version)

Recommendation note before upgrade the existing to latest release of MyCafeCup Platinum (Please read carefully)
  • If you want to install the mycafecup platinum in to the machine that has not been installed, please read the "Installation" topic above instead.
  • Generally the any new releases of MyCafeCup Platinum won't requires any special hardware or software other than the original release, except if we annouced on the web site.
  • You HAVE TO Backup the current database before start to upgrade. (At the "Backup-Restore" tab in MyCafeCup Server or just simply make a copy of the whole installed folder of mycafecup server).
  • The good time for upgrading is the closed time of the shop.
  • Do the step-by-step below for upgrading both server and client to ensure that everthings will be updated successfully.
Upgrading the MyCafeCup Server (with the full installation file)
  1. CLOSE all of mycafecup client programs on every machines ( log-on with "Emergency Code" and choose the last option named "Remove from auto startup and all policies setting" ).
  2. CLOSE all running programs including any resident process such as ANTI-VIRUS, ANTI-SPYWARE and all other system utilty programs.
  3. Backup the current database. (At the "Backup-Restore" tab in MyCafeCup Server or just simply make a copy of the whole installed folder of mycafecup server).
  4. Close MyCafeCup Server Program. (Press "X" button on the TOP-RIGHT of main screen)
  5. Install MyCafeCup Server with the new downloaded installer file (Note : You DO NOT have to uninstall the previous one).
  6. Re-boot the machine once. (If request by the installer).
  7. Run MyCafeCup Server and check the Version ( Top-Left of the screen, or at the "Information > MyCafeCup" page)
Note : In some of new version, when you run the mycafecup server for the first time. The mycafecup server will take a bit longer to start itself successfully. (Might take upto 10-15 mins) Please just wait until it finished upgrading.
Upgrading the MyCafeCup Client (manually upgrade with the full installation file)
  1. CLOSE all of mycafecup client programs on every machines ( log-on with "Emergency Code" and choose the 4th option named "Remove from auto startup and all policies setting" ).
  2. CLOSE all running programs including any resident process such as ANTI-VIRUS, ANTI-SPYWARE and all other system utilty programs.
  3. If you have configured the "Advance Option" in the client, then copy file named "BList.txt" (C:\Program Files\CafeCupPlatinum\BList.txt) for backup.
  4. Install MyCafeCup Client with the new downloaded installer file.
  5. Re-boot the machine once. (If request by the installer).
  6. Run MyCafeCup Client and check the Version ( Bottom-Right of the locking screen)
Note : If there is a kind of "Un-Do, Re-Do, Partition Recovery" Hardware or Software installed in the machine, Do not for get to update their image partition after sucessfully update the mycafecup client.
Upgrading the MyCafeCup Client Remotely from Server.
  1. MyCafeCup Client supports the "Remotely Update" directly from the server, If you are using very old version, then please follow the manual updating instruction above.
  2. Upgrade MyCafeCup Server Machine with selecting full install (Server/Client) with the above "Upgrading MyCafeCup Server" instruction.
  3. CLOSE all running programs including any resident process such as ANTI-VIRUS, ANTI-SPYWARE and all other system utilty programs in all client machine.
  4. Double Click at any client in "Online" tab and choose "Client Information". If the Client is older version and ready to upgrade, the "Update Client" button will be appeared.
  5. Ensure that there is nobody trying to use the machine, then press "Update Client" and wait for 10-20 seconds.
  6. After 10-20 seconds, client will be self-refreshed and re-connect back to the server, now re-check the version of client to ensure that it has been upgraded. (Reboot the machine before start service to the customer)
  7. Some Client may required system reboot to be upgraded successfully.


MyCafeCup Platinum Server/Client : Quick Start Guide

Quick Start Guide

This is the Quick Guide References for instant to start testing or using MyCafeCup Platinum.

The following topics is order by the priority to start using the software after you have successfully installing the software.

Quick Start Guide to MyCafeCup Server. (Step by Step by priority of processing.)

  1. Run the "MyCafeCup Server" program from <Start>/<Programs>/<My Cafe' Cup Platinum>/<My Cafe' Cup Server>
  2. Create at least one "Fully Control" Administrator. (Menu System > Administration Page)
  3. Create "Time-Plan". (Menu Users/Rates > Time Plan / Machine Group Page)
  4. Create User Account (Coupon) for the customer. (Menu Users / Rate > Users Page or Auto Users Page)
  5. Print the coupons by Coupon Printing. (Menu Reports > Coupon Generator Page)
  6. Sell the created coupons to the customer. (The prices depends on the coupons you have create)
  7. Waiting for customer Log-on from clients. (You may press "Log-Off / Hide" button, to hide the server)
Note : For easier open the "Help Manual", just click at the "?" (Question Mark) icon on the bottom-left of the mycafecup server main screen.

Quick Start Guide to MyCafeCup Client. (Step by Step by priority of processing.)

  1. Ensure that you have got the "Emergency Code".
  2. Ensure that the "MyCafeCup Server" is running at your server machine.
  3. Run the "MyCafeCup Client" program from <Start>/<Programs>/<MyCafeCup Platinum>/<MyCafeCup Client>
  4. At first time running client, the program will ask for the "MyCafeCup Server IP Address". Just press <scan> button , then it will trying to scan for "MyCafeCup Server" automatically. (*** This process will not ask you again since you have configure correctly ***)
  5. Now, this client machine is ready for service to the customer who have the "User Account" (Coupon) created from Step 4 (Server) above.


MyCafeCup Server : Main.

MyCafeCup Server

MyCafeCup Server

START MyCafeCup Server :
  1. Click at Windows's Start Menu <Start>/<Programs>/<MyCafeCup Platinum>
  2. Click at the icon [image] CafeCup Server.
SCREEN Components :

  1. Version : Software version/ build version information.
  2. Menu Bar : My Cafe' Cup Server has an intuitive user interfaces, the main component call "Menu Bar" which is for separate the functions by the usage. It can be hidden at anytime by click at the "Toggle Menu" button beside the bar.
  3. Software License Information
  4. Server System Infomation : Shows Date, Server Machine Name and Service IP Addresses.
  5. "LOG-OFF/ HIDE ME" button : press this button to Log-out and make the mycafecup server running in background mode.
  6. Working space area : The working space area is depend on the function of selected menu.
  7. Misc information : such as current admistrator and system time.
LOG-ON the mycafecup server :

When starting up, mycafecup server will run in background mode and displays its icon in the windows's system tray beside the system time. Just simply mouse click at the icon to log-on by one of administrator code / password.
LOG-OUT and leave mycafecup server to run in background mode :

Simply click at the "LOG-OUT / HIDE ME" button on the TOP-Right of the MyCafeCup Server Screen.
QUIT / EXIT : Close mycafecup server and stop all its service

Click at the "X" button on the windows border.


MyCafeCup Server : Online Realtime Control.

MyCafeCup Server

Online (Real-Time) :

  1. Online Viewer sections, you can see the online-realtime status of any client machine, and also you can manage them by do the Right Click at the specific machines then the system will shows the Pop-up menu to send the command directly to the client machine. The Pop-up menu functions that you can do are following :
    1. Unlimited

    For changing the Lock Screen Mode to accept the customer called "Unlimited On-line" user type (Pay after use, no coupon) . This will appear only when the machine is available and nobody using this machine.
    (This feature has been enabled by default, you can disable this feature in "Administration" page)
    2. Check-out | For check-out the service charge of any kind of "Unlimited" user type after they logged-out and already pay, and make the machine available for the next user
    4. Transfer Session Amount to...
                 For transfer the usage amount of "Unlimited Online" user after they logged-out to other free machine and let the user to continue using the machine. If you select the same machine mean you want to let the user to continue in the same machine.
    4. Lock (Force) | Force the client machine to "Lock Screen" itself.

    5. Re-Boot (Force)

    Force the client machine to "Shut-down" and "Re-Boot" itself.
    (There are a lot of reasons that make the system can not shut-down, so please re-check by your self)
    6. Shut-Down (Force) Force the client machine to "Shut-down" itself.
    (There are a lot of reasons that make the system can not shut-down, so please re-check by your self)
    7. Remote Task List

    Get client machine's system informations, adjust the master speaker volume, installed applications list, capture the current screen, running process on the specific machine and allows to "kill" remotely the running processes as you wish. You can also take control (mouse/keyboard) the specific machine remotely like you are sitting at that machine.
    ( Killing of any running process may corrupt the system, please do it as your own risk.)
    8. Wake On-LAN
                 Trying to wake the specified client boot-up by standard "Wake On-LAN" protocol.
    (The client machine hardware have to support and configured "Wake On-LAN" feature)
    9. Online Add-on For add-on the amount to the account that logged-on at the specified client.
    (This feature has been disabled by default, you can enable this feature in "Administration" page)
  2. "View Style Selector" : There are 4 styles available 1) Icon View. 2) Report View. 3) Small Icon View Horizontally. 4) Small Icon View Vertically.
  3. "Left Time Warning slider" : for setting of left time warning (only for Normal limited user type), the system will notify user every minutes until time expire. (from 1 to 15 minutes, choose Zero value for silent-warning)
  4. Time Plan Selector : For the using rate of "Unlimited Online" account type.
  5. "Online Message Box" : Message input box for sending to client machine(s).
  6. The preview picture of "Indy Logos" with meaning of the status of each client.
  7. "Message Sending button" : press to send the message in the "Online Message Box" to the clients machine(s).
  8. "Communication Indicator" : Animation indicate the network packets send and receiving between client and server.


MyCafeCup Server : System Logs.

MyCafeCup Server

Log : Activities Logs History Viewer

  1. Tool Box : for "Export" and "Delete *".
  2. Date Box : For selecting the Date of the activites logs to view.
  3. Viewer : the viewer for all history of system's activities log order by date.
  4. AutoDelete : For selecting the number of date to keep in the database. *.

* Available for only "Fully Control Admin".


MyCafeCup Server : Expired users.

MyCafeCup Server

Expired-Users : The list of expired accounts.

  1. Tool Box : for "Export".
  2. Viewer : Show the list of user that already expired (real-time). All the users details are the same as the User Screen.

How's the account expired? : There are some reasons
  • The Left Amount = 0.00 (For Normal Limited account)
  • Add-On account has been used.
  • Expiry Day : the account will be expired by the number of expiry day(s) after 1st time logged-on.
  • Unlimited - Once account will be expired after logged-out.
  • Online Add-On.
* Available for only "Fully Control Admin".


MyCafeCup Server : Users management.

MyCafeCup Server

Users Tab : The Screen for maintenance the user (coupon) list in the system database. (One-by-one create, edit and delete)

  1. Tool Box : for "Add / Edit / Delete *" and "Export".
  2. Edit Box : For Adding/ Editing the detail of each account.
    1.User Code | User Code for log-on to client machine (Case sensitive, Max 20 Characters).
    2.Password

    User's Password for log-on to client machine (Case sensitive, Max 20 Characters).
    3. User Type

    Type of user :

    1. Normal Limited Amount : Limited the usage amount (Pay before use, Pre-Paid)
    2. Unlimited Once : Un-limited the usage amount and will expired immediately after logout (Pay after use, Post-Paid)
    3. Unlimited Freeze : Un-limited the usage amount and will never expired (Pay after use, Post-Paid)
    4. Add-On for Normal Limited : The coupon for add-on the amount for "Normal Limited Amount" user type, This is the special coupon that can not log-on to the system.

    Note : For all "Unlimited" (Pay after use, Pre-Paid) type, the system will make the client machine temporary unavailable for service to the next customer until the administrator "check-out" by click "Check-out" at the Popup-menu on the "Online Viewer" or use the Administrator code to log-on at the client screen. The reason is to ensure that the administrator has actually received the money from previous user after they finished using the machines.
    4.Time Plan | Time Plan of user for calculation of service charge. (You can manage them at 'Time Plan' tab)
    5.Machine Group | Machine Group for allow user to log on. (You can manage them at 'Machine Group' tab)
    6.Total Amount | Total Amount (Selling Price) of the account. (only for 'Normal Limited Amount' type.)
    7.Left Amount | Amount left of the account. (only for 'Normal Limited Amount' type.)
    8.Expiry Day Total number of day for expires after 1st time log-on.
    ( Zero (0) means will never expired , however it will expire immediately if 0.00 of Left amount)

    9.Create date

             Date of creation of this user. ( Optional, because it's an extra information)
    10.Usage Counter | Total number of user logged-on ( Optional, because it's an extra information )
    11.Latest Info | The latest information from the system. ( Read only, because it's an extra information from the system )
    12.Remarks | Remarks for this user as you wish ex. user name, tel number , address , etc... . ( Optional , because it's a reference extra information )
  3. Quick Search Box : Find any user code by entering the user code into this box.
  4. User List : The list of all active user accounts in the system. . (Double click at the record you want to edit in the "Edit Box".

* Available for only "Fully Control Admin".


MyCafeCup Server : Bulk users creation.

MyCafeCup Server

Auto-Users : For creating the bulk user accounts (Batch users).

  1. Tool Box : for "Preview *".
  2. Create Box : for entering the information to generate bulk accounts.
    1. Number of Users | Quantity of users to be generated. (Max 50 users a time).
    2. User Code Prefix | User's Code Prefix (Optional, Max 3 Characters).
    3. User Type

    Type of user :

    1. Normal Limited Amount : Limited the usage amount (Pay before use)
    2. Unlimited Once : Un-limited the usage amount and will expired immediately after logout (Pay after use)
    3. Unlimited Freeze : Un-limited the usage amount and will never expired (Pay after use)
    4. Add-On for Normal Limited : The coupon for add-on the amount for "Normal Limited Amount" user type, This is the special coupon that can not log-on to the system.

    Note : For all "Unlimited" (Pay after use) type, the system will make the machine temporary un-available for service the next user until the administrator "check-out" by click "Check-out" at the Popup-menu on the "Online Viewer" or use the Administrator code to log-on at the client screen. The reason is to ensure that the administrator has received the money from previous user after they finished using the machines.
    4.Time Plan | Time Plan of user for calculation of service charge. (You can manage them at 'Time Plan' tab)
    5.Machine Group | Machine Group for allow user to log on. (You can manage them at 'Machine Group' tab)
    6.Total Amount | Total Amount of the user only for 'Normal Limited Amount' type.
    7.Left Amount | Amount left of the user only for 'Normal Limited Amount' type.
    8.Expiry Day | Total number of day for expires after 1st time log-on. ( Zero (0) means will never expired , however it will expire immediately if 0 left amount)

    9.Remarks

             Remarks for this user as you wish ex. user name, tel number , address , etc... . ( Optional , because it's a reference extra information )
    10.Password Type

    Character type of user's password to be randomized generate.

    • Any Case : Any alpha numeric characters.
    • Upper Case : Only Capital letters.
    • Lower Case : Only small case letters.
    • Numeric : Only numerical letters. (Recommended)
    11.Password Length Length of user's password to be generated. (Recommended only 4-5 length)
  3. Preview Viewer : For previwing the generated accounts.

Note :
- After "Preview" you have to press "Okay" to make all generated accounts activated.
- The password will be generated randomly, so they won't be the same as other shops.
* Available for only "Fully Control Admin".


MyCafeCup Server : Time Plan / Machine Group.

MyCafeCup Server

Time Plan / Machine Group : For creating, edit or delete "Time Plan" (Charging Rate) , "Machine Group" and deleting the "Machine List"

Time Plan : The time plan is the charging rate for customer accounts, which has abilities to charge by period of the day. (Sometime called "Time Zone")

1. Tool Box : for "Add / Edit / Delete *". Time Plan.
2. Time Plan Detail :
Plan Name | Name of the plan. (Max 20 characters)
Description | The description for the time plan.
Minimum Charge Amount | Minimum charge for each log-on session of user. Note : This is not the normal charging rate. If you don't have Minimum Charge, please enter 0.00 (Zero).
3. Period Virtual Chart : The virtual screen to split , slide or delete the period of time plan.
    • + Plus button : Split a new period of time plan.
    • - Minus button : Delete a period of time plan.
4. Period Table Charge Rate : The charge rate for each period of time plan. you can specify by Rate/ hour or Rate/minute.

You can Allow or restricted the user to login at any period of the timeplan by
Time Plan Period Checked Checked : Allow the user to logon.
Time Plan Restricted Period Restricted : The user will not be able to logon at this period, the current users will be forced logout)

Machine Group : You can create group of the machines to grant the accessing for each user freely.
5. Tool Box : for "Add / Edit / Delete *". Machine Group.
6. Group Detail :
Machine Group Selector | The list of available Machine Group to manage. (Group named "All" is the default by the system, Any new machines will be default to this group automatically)
Group Name | Name of the Group. (Max 20 characters)
Short Description | The description for the Group
Machine List | The list of available machine , only check any machine to be the member of the group.

Machine List : The list of machine in the system (included all off-line machine). you may delete the permanent unavailable machine.
7. The List : The list of all client machines that have ever been connected to the server.
8. Delete Button : use for delete any un-use machine from the list, to preventing the exceed client license limited.

Note : The machines in the list will be added automatically, when first time the client machine has successfully connected.)
* Available for only "Fully Control Admin".


MyCafeCup Server : Administration

MyCafeCup Server

Administration * : For creating, edit or delete Administrator Account and configure some system global setting.

1. Tool Box : for "Add / Edit / Delete". Administrator..
2. Edit Box : for Administrator Detail.
Administrator Code | System Administrator Code (Max 20 characters).
Password | Password (Max 20 characters)
Confirm Password | Password (Max 20 characters)
Permission Level

The permission level of the administrator

  • Fully Function : The highest permission level, the admin. can do anything in the system.
  • Read Only : The admin. can only manage the on-line screen and can not make changes on any other screens.
  • Low Level : This admin. can only manage the on-line screen and can not make changes on any other screens. (Some important screens will invisible)
  • Clearing : This admin. can not log-on to the server, but can only check-out the money at the client machines.
Remarks | Description Remarks for this administrator. ( Optional , because it's a reference extra information )
3. Administrator List : the List of all Administrators in the database.
4. Tool Box : for "Edit". the system global configuration.
5. Configuration List : to setup some feature of the server
Automatic Startup with windows | To let server program to start up itself when the server machine is startup.
Synchronize Date/Time to client | Server will send the current Date and time to client machine every time they connected to the server. This will make the time shows consistency to the user.
Disable "Post-Paid : Limited Online" | To disable the "Limited Online User" from the popup menu in "Online" Page.
Disable "Post-Paid : Unlimited Online User" | To disable the "Unlimited Online User" from the popup menu in "Online" Page.
Enable Service for "Remote Viewer" Plug-in. | Let the server open and stand-by the service port to communicate with "Remote Viewer" Plug-in.
Enable "Online Add-On" feature. | To Enable the "Online Add-On" (Add on the amount to normal limited users) feature in the popup menu in "Online" tab.
Disable "Low Level Admins" to unlock client. | Do not allow the "Low Level" administrator to be able to access to Emergency Menu in client machines
Disable "Read Only Level Admins" to unlock client. | Do not allow the "Read Only Level" administrator to be able to access to Emergency Menu in client machines
Display "Time Left" instead of "Amount Left" at client. | Let's the clients to display "Minutes Left" in Float-Pad instead of the default "Amount Left"
Enable "Slip Coupon" feature. | If you have any "Thermal Slip Printer" installed and want to sell the coupon using "Slip Coupon" one-by-one. (Recommended)
Enable "Normal Limited" coupon (All Status) as an "Add-On" coupon | If you allow the user to add-on their amount using other Normal Limited user type. (All status)
Enable "Normal Limited" coupon (Only new) as an "Add-On" coupon | If you allow the user to add-on their amount using other Normal Limited user type. (Only if new coupon and never used before)

6. Language Box : Set the default language to be displayed for the screen user's interface.
(You can configure the Language box to be displayed on the bottom of main menu, for easier access by all administrators)
* Available for only "Fully Control Admin".


System Components

MyCafeCup Server

System Policies * : The Configurable features of windows system policies of the client machines.(more than 35 configurable features!)

1. Machine List : The list of all machines that you can configure the policies.
2. Tool Box : for "Edit". Administrator..
3. Emergency Code :* : The System Emergency Code changing. (Only visible to the Fully functions Administrator)
4. Policies List : There are over than 35 items which separate by the type of controlling of the windows operating system.

  • Since the windows kernel system has been changed oftenly and also there are a ton of machine environments, so we do not guarantee that all of system policies will work properly on all system.
  • This screen is only available in the "Registered Version"
  • All of your configured in this screen may generate the problem or de-grade to your client machine, which is depends on the current status, situation, environments and system configuration on each machines, Please do it as your own risks.
  • Some of options required re-start the machine after made changes to make a fully effect.

* Available for only "Fully Control Admin".


MyCafeCup Server : Database BackUp / Restore.

MyCafeCup Server

BackUp/Restore * : The wizard screen for backup / restore the database at easy.

1. Browse : for browse the folder to " Backing up" or "Restoring" the database.
2. If the selected folder contains the backup files, the system will ask you for Backing up or Restoring.
  • If you select restoring, you have to select the date of backup File.
  • If you select backup, you have to ensure that the device has enough free space to backup
3. Okay : press this button to start "Back up" or "Retore".

How often do I have to back-up ?

If possible please backup you data every day at least when closing the shop, So at least in emergency situation you still have the latest database.
* Available for only "Fully Control Admin".


MyCafeCup Server : Coupon Generator.

MyCafeCup Server

Report * : The report center screen to generate the coupon ( ticket/ time-code), and any other useful reports.

1. Available Report : The list of available report.
2. Account List : The list of active user accounts, for create the report only for selected accounts. (You can drag the mouse to select the multiple recoreds to print the report or coupon.)
3. Coupon Type : The available type of coupons to be printed.

* Available for only "Fully Control Admin".


MyCafeCup Server : Summary of Income.

MyCafeCup Server

Income Viewer : this will summarized by Daily, Weekly (week to date), Monthly (month to date) and Yearly (year to date) in the same screen. There are 2 methods of the income collecting as follow

1. Tool Box : for "Export".
2. Income Table : Somarized by Daily, Weekly, Monthly and Yearly.

Where's the income information from ?
  • The Total Amount of "Normal Limited" account logged-on at the 1st time.
  • The Total Amount of "Add-On" account that has been added to other account..
  • The Total Charge Amount of any "Post-Paid" (Unlimited / Limited) accounts when the administrator "Checked-Out".

* Available for only "Fully Control Admin".


MyCafeCup Server : System Information.

MyCafeCup Server

About MyCafeCup : The screen shows the detail of

  • Current version of My Cafe' Cup you using.
  • Current License Information.
  • Information of the My Cafe' Cup Software.
  • The button for enter the detail of purchased registering code. *
* Available for only "Fully Control Admin".


MyCafeCup Server : System Information.

MyCafeCup Server : Slip-Coupon (Thermal Printer)

About Slip-Coupon : MyCafeCup Server has a nice build-in feature called "Slip-Coupon" which allow you to Create->Print->Sell the new user/code (coupon/ticket) with two clicks and two seconds. This feature requires any brand/model of Thermal Slip/Receipt Printer (GDI mode).
Thermal Slip/Receipt Coupon
Sample of Thermal Printer and Printed-out Slip Coupon.

Requirement
  • Thermal Slip/Receipt Printer.
Enable and Configure
  1. You can enable this feature at "System > Administration" page, find the option named "Enable 'Slip-Coupon' Feature".
  2. Once the feature has been enabled, there will be a tab menu named "Slip-Coupon" at the "Online Real-time" page.
  3. Before using this feature, you have to create the "Slip-Coupon Template(s)" for your shop by click at ">> Config <<" label. *

    Slip-Coupon-Template-Management
  4. At the "Slip-Coupon Config" page, you can Add/Edit/Delete the templates. Almost of the detail of template are the same as 'Auto users' page.
    1. Template Name
                 The name of Slip-Coupon template.
    2. User Code Prefix | User's Code Prefix (Optional, Max 3 Characters).
    3. User Type

    Type of user :

    1. Normal Limited Amount : Limited the usage amount (Pay before use)
    2. Unlimited Once : Un-limited the usage amount and will expired immediately after logout (Pay after use)
    3. Unlimited Freeze : Un-limited the usage amount and will never expired (Pay after use)

    Note : This 'Slip-Coupon' feature do not supports 'Add-On'.
    4.Time Plan | Time Plan of user for calculation of service charge. (You can manage them at 'Time Plan' tab)
    5.Machine Group | Machine Group for allow user to log on. (You can manage them at 'Machine Group' tab)
    6.Total Amount | Total Amount (Price) of the user only for 'Normal Limited Amount' type.
    7.Expiry Day | Total number of day for expires after sell. ( Zero (0) means will never expired , however it will expire immediately if 0 left amount)

    8.Remarks

             Remarks for this user as you wish ex. user name, tel number , address , etc... . ( Optional , because it's a reference extra information )
    9.Password Type

    Character type of user's password to be randomized generate.

    • Any Case : Any alpha numeric characters.
    • Upper Case : Only Capital letters.
    • Lower Case : Only small case letters.
    • Numeric : Only numerical letters. (Recommended)
    10.Password Length Length of user's password to be generated. (Recommended only 4-5 length)
    11.Coupon Footer
                 Additional information that you want to also print in the coupon.
    12.Currency Symbol
                 The currency symbol that will be printed right after price.
Create -> Print -> Selling
Slip-Coupon-Feature
There are three main parts of the "slip-coupon" tab menu.
  1. Slip-Coupon Template List : The pre-configured templates. Slip-Coupon-List
  2. Slip-Coupon Priview : After selected the 'Template' in the template list above, the system will generate the new user code and create a preview on screen and ready to print and sell Slip-ticket
  3. Printing and Selling : If everything is goes fine and there is a coupon in the preview screen, the system will allow you to 'Print & Sell' this coupon by click at the 'Print & Sell' button. You can also configure the Thermal Printer and Paper size to match to your current thermal printer. And also the system allow you to re-print (just incase of priting failure and needs to re-print)
Note : What the system do after print and sell?
  • The printed user will be immediately activated and ready to use.
  • The Daily Income will be immediately added.

    * Available for only "Fully Control Admin".


MyCafeCup Client Main Guide

MyCafeCup Client

MyCafeCup Client : MyCafeCup Client is the terminal controller for protecting all of your services machines. When ever the machine is free, MyCafeCup Client should lock the screen, so nobody can use that machine unless they already have got the User/Password.

START MyCafeCup Client
  1. Click at Windows's Start Menu <Start>/<Programs>/<MyCafeCup Platinum>
  2. Click at the icon [image] CafeCup Client.
Note : After start mycafecup client, it will start to protect the machine immediately.
SCREEN Locking Components :

  1. License Name and Machine Name.
  2. Background image.
  3. Log-on windows
  4. Evaluation banner. (This will be hidden in registered vesion)
  5. Misc information : such as current admistrator and system time.
Note :
  • All user code and password in mycafecup system are letter case sensitive.
  • If the screen saver of the windows is disabled, mycafecup build-in screensaver (Fly to the star) will be active in 2-3 mins.
  • If there are more than one backgound image, the system will randomize them to display and rotate at randomized time.
Tip : You can change background images to be your favourite images, by simply copy all of your favorite image files into the folder of mycafecup client, then restart mycafecup client.
LOG-ON successfully :

After the customer logged-on successfully, the mycafecup client will un-lock the screen and displays [image] icon on the windows's system tray and also displays the Float Pad for the account status above it.
LOG-OUT :

Simply click at the [image] icon in the system tray or any area of "Float Pad" then choose "Log Out" in the Popup-Menu.


MyCafeCup Client : Floating Pads

MyCafeCup Client

MyCafeCup Client - Float - Pad.

After everytime the user log-on, mycafecup will displays the "Float Pad" on the screen. There are 3 types of "Float-Pad".
Tiny Float-Pad : Displays only important information such as "Start Amount", "Used Minutes", and "Left Amount"
Tiny Float-Pad

Small Float-Pad : Displays only important information such as "Start Amount", "Used Minutes", "Used Amount" and "Left Amount"

Large Float-Pad : Displays more information such as "Date-Time of Log-on", "Time Plan / Rate", "Minimum Charge" and "Minute Left".

Note :
  • Swapping Small and Large by simply click. or [image] buttons.
  • To hide Float Pad , simply click [image] button.
Tip : MyCafeCup Client has a special unique feature if it running on Windows 2000/ XP or 2003. To swapping the Float-Pad to look transparency. by Simply Click at system tray icon and choose "Float-Pad".


MyCafeCup Client : Emergency Menu and Advanced Options

MyCafeCup Client

MyCafeCup Client - Emergency Menu.

Emergency Menu : In some situation, the machine may have to be maintenanced. So mycafecup client have to be removed from protecting the machine.

To get into "Emergency Menu", you have to log-on the mycafecup client with only by

  • "Administrator Code" : Only if the client is connecting to the server.
  • "Emergency Code" : At any time.

  • There are 4 options as follow :
    • Shutdown the system : Immediately shut-down (MyCafeCup Client will still startup with windows at the next time booting)
    • Re-Boot the system : Immediately Re-Boot (MyCafeCup Client will still startup with windows at the next time booting)
    • Change MyCafeCup Server IP Address. : Scanning for Server IP Adress and then quits MyCafeCup Client. (MyCafeCup Client will still startup with windows at the next time booting). You can also enter the Server Machine Name, so that the client will automatically resolve the current server IP when working.
    • Remove MyCafeCup from startup and remove all system policies setting. : Quits MyCafeCup Client and remove all setted system policies. ( [image] MyCafeCup Client will no longer startup with windows at the next time booting, Note : FOR SYSTEM MAINTENANCING OR EMERGENCY SITUATION ONLY).
  • Advance Option : setting for advance features.
ADVANCE OPTION
  • General Setting :
    • Default "Float Pad" Display : force the client to hide or display "Tiny", "Small" or "Large" when the user logged-on.
    • Default Master Volume : Set the default level of speaker volume.
    • Power and Screen Saver : Enable or disable the "Build-In screensaver" / "Shut-down" or "Turn-off monitor" when no activites by specified amount of time.
    • Hide Windows Start Button : Hide the "Windows Start" button.
    • Allow CTL-ALT-DEL และ ALT-F4 for Win 9x : Allow the user to press CTL-ALT-DEL (to open the task manager) and ALT-F4 (for task switching) in Windows 9x. (Not recommended to allow, if unneccessary)
    • No minimize running applications when log-out : (Not recommended, if unneccessary)
    • Enable Shut-Down Button in Windows 2000/XP/2003 : (Not recommended to enable, if unneccessary)
ADVANCE OPTION
  • Killing List : The list of application's exe file name which will be "KILLED" when user logged-out.
    • Enter the fully executable file name ( .exe ) of any applications you want to.
    • Recommeded to enter all executable files name in the specified application folder.
    • You can enter " *.* " for fore the mycafecup client to kill all running tasks.
    • When using " *.* ", the system will automatically detect all of applications which you allow to run with windows to prevent the problems. (Such as Antiviruses, system utilities software)
    • Note : KILLING the TASK, is just like you do it by manually by task manager. So, there might be effect to the overall system, if some task is not allowed to be killed.
ADVANCE OPTION
  • Keyword Blocking : The list of application's title keyword, to be blocked from usage.
    • The mycafecup client will monitoring every openning applications or web page, If any window's title matches the list of keyword, then it will be blocked.
    • Example : If you don't want the user to opent he NotePad, then enter the keyword "NotePad". (Notice that the window's title of notepad is always contain the keyword "NotePad")
    • Tip : You can enhance some security such as blocking the user to explore to the C: drive, then just enter the keyword "C:\".
    • Be aware entering too short keyword.
ADVANCE OPTION
  • Clean Microsoft Internet Explorer Cache and History : To delete all "Temporary Internet Files", "History URL" and "Cookies".
    • Press "Okay" button to clean.
    • Check "Automatically Clean when user log-out" to force the client to be cleaned automatically everytime when user logged-out,


MyCafeCup Client : Server Address Configuration.

MyCafeCup Client

MyCafeCup Client - Changing Server IP Address.

Changing Server IP Address : If the mycafecup server machine.has been changed its name or IP address, so mycafecup client will can not connect to the server until the administrator changes the server IP address at all client machine.

  • Log-on the client with Administrator or Emergency Code to access the "Emergency Menu.

  • Choose "Change MyCafeCup's Server IP Address".
  • Click "Scan" to let the program scan for your new server IP address automatically. Of If you already know the server IP Address, simply enter it manually.
Note : MyCafeCup client support entering the server address by "Machine Name" instead of "IP Address".

TIP : If possible, use "IP Address" is much faster than "Machine Name".


MyCafeCup : Trouble-Shooting Guide.

Trouble Shooting & First Aid.
Symptoms
First Aid.
- Client doesn't connect to the server.

Client Showing "Initializing..." at lock screen.
  • Check your server IP Address.
  • Try to "ping" the server IP address by type "ping -t <server IP address>" at windows DOS prompt.
  • Try to "Scan the Server IP Address" in the Administrator Menu of Client again.
  • Check your Client machines Network configuration.
  • Check the network cable, hub and any networking hardware.
  • Try enter the Server Machine Name instead of IP Address.
- User account can't not log-on successfully.
  • Check the client connection status is ready. (The "Key" icon is showing)
  • Invalid input of "User Code" and/or "Password". (All letters are case sensitive)
  • The account must be in active status. (Check in "Users" page at the server)
  • The account might already expired.
  • Check the "Machine Group" of that user account.
- User accounts always expired after the 1st time usage.
  • Check the "Minimum Charge" value in "Time Plan". The "Minimum Charge" is not the service Rate/Hour, but it is the amount to be charged every log-on session.
  • If the "Minimum Charge" is set too high, the account might be expired in a few usage times.
  • Try change the "Minimum Charge" value to be lower rate.
- Can not force to "shut-down" or "re-start" some client machine.
  • The shut-down feature of client depends on the current system and operating system environments, (Actually, you may encounter that sometimes you also can not shut-down the machine manually)
- MyCafeCup Server/Client can not start correctly, or hung while opening.
  • Scan the viruses on your system with the newest DAT file of your virus scanner version.
  • Do the hard disk scan for error.
  • Try reboot the machine again.
  • Check the version of your MyCafeCup Server and Client, which must be exactly the same number of build version.
  • Try to install again.
- The reporting can not print.
  • Check your printer driver in the system.
  • Check the status of the printer and must be On-line status.
  • Check your network printer server must be available (if you trying to print to network printer.)
- My custom pictures does not display on the background of client machines.
  • The picture format file must be "JPG","GIF" or "BMP" standard only.
  • Check that you have copy those picture to the correct directory of My Cafe' Cup Client.
- Can not Un-Install MyCafe Cup Client, the system said "Not found <something.>"
  • If you going to remove the MyCafeCup Client , please ensure that you had already log-on the MyCafeCup Client as the "Emergency Code" and selected "<Remove from auto start up & all policies>".
  • Do not try remove the directory by yourself.
- Client can not download any file during log-on session. How can to enable file downloading.?
  • MyCafeCup Platinum has a ability to block file download via Internet Explorer, and this feature has been enabled by default. You can simply disable the file download blocking as follows
    • In Client's "Emergency Menu" choose "Advance Option" and open the "Keyword Blocking" page.
    • Search for the phase "file download", then delete it.
    • Done..
- An Emergency Code still be the previous one in some clients.
  • The client machine will acknowledge the changing of "Emergency Code" only in the time of network connected state,so please allows at least 1 time connection to the server.


MyCafeCup F.A.Q.
  • Q. Do I have to pay for updating fee to the new release?
  • A. No. It's totally free of charge to upgrade to be any of the same major version as your own version.
  • Q. How can I do if the Evaluation Version is expired?
  • A. If you wish to use it more, please decide to register a copy. However My Cafe' Cup pricing is really reasonable to purchase (contact us for pricing).
  • Q. How to register and acquire a license of MyCafeCup?
  • A. Please send your E-mail to us and we'll send you the method. We don't have any reseller / distributor, every license have to purchase directly from us only. (info@MyCafeCup.com)
  • Q. Does windows's screensaver still working when running MyCafeCup Client?
  • A. Yes. However MyCafeCup Client has been designed to prevent conflicting with almost of all screen savers, so you can install and use your favorite screen saver programs freely even the MyCafeCup Client is locking the screen.
  • Q. I don't have a machine for server, Can MyCafeCup Client and MyCafeCup Server install in the same machine?
  • A. Yes. They can, MyCafeCup has been designed to work together with in the same machine and environment correctly. Howsoever, we would like to suggest that they should be installed in separately because the system administrator can monitor and manage the system by not interrupt the customer using time.
  • Q. How can I change the Wallpaper image in client?
  • A. Just copy your favorite image files (.GIF/.JPG) into the folder of MyCafeCup Client, then restart mycafecup client again to take effects.
  • Q. How can I configure the client to close specific running applications after user logged-out?
  • A. Please use notepad to open the file named BList.txt located in MyCafeCup Client Folder, then just enter the executable file name into it. (Restart MyCafeCup client program again to take effects)
  • Q. How can I restricted the applications or web site from user?
  • A. Please use notepad to open the file named BList.txt located in MyCafeCup Client Folder, then just enter the "keyword" of window title (Program title) into it. (Restart MyCafeCup client program again to take effects)
    • Example : If you want to block user from download by IE , just enter : BLOCK:File Download
    • Example : If you want to block user from opening web page that has a word "Sex" in the Web Title , just enter : BLOCK:sex
    • Example : If you want to block user from opening Opera browser program , just enter : BLOCK:opera
    • Note : Blocking some applications might make the problem to the windows system, please do it as your own risk.
  • Q. Can I change the Language for the client interface?
  • A. By default, the client's user interface is in English only. If you have ensure that there is no foreigner as your customer and interested to change it, please contact us.
  • Q. What's the Emergency Code? and How's it work?
  • A. Emergency Code are the User Code used for log-on in case of there are a problem with in your network or your machine that make both Client and Server can not communicate between each other. So you have to do some system maintenancing manually.
  • Q. Wake-On-LAN supported?
  • A. Yes, If your client machine hardware is Wake-On-LAN compliant. (The popup menu "Wake-on-LAN" will be enabled, only when double click at any machine while it being disconnected)
  • Q. What do I need to use WOL?
  • A. Ensure you have the follows hardware and configurations.
    • An ATX motherboard with an onboard, 3-pin "WOL" connector and ATX power supply.
    • A network card that can support WOL with its cable to the motherboard properly installed.
    • In the BIOS Power Management, you must enable the LAN Wakeup option.
    • In Windows, in "Device Manager" -> "Network Card" propeties Wakeup should be also enabled.
  • Q. What's the new "USB Key-Disk" feature?
  • A. "USB Key-Disk" is one of the new innovative and useful feature of MyCafeCup Platinum. Nowday, most people has a USB Drive in their pocket, and most of them have to use it for saving their own personal information. So, they might always plugged in their USB drive into the machine, everty time they logging-on and use the service in the internet cafe shop. They can create the "USB Key-Disk" from MyCafeCup Client,'s menu, then they won't have to enter their user name/password for the next time of logging-on anymore. Just plugged their Key-Disk, then the MyCafeCup Client will automatically fill in their User/Password boxes and try log-on automatically.
  • Q. Will MyCafeCup client changes or replace the original windows system shell (explorer.exe)?
  • A. No, MyCafecup will leave the system components as they currently are. MyCafeCup is not a kind of "System Shell Replacement" application, MyCafeCup will not touch the Windows's system shell (explorer.exe) which is the most important part of Operating System's user interface. Therefore, The replacement of System shell is very important due to increasing the risk of system malfunctional, applications incompatibilities, un-reliable to any other applications. For example : If your windows does not have the "Windows Task bar", so a ton of applications will not work properly or unable to access it. Such as ICQ, MSN, ANTIVIRUS which are required the user double click at its icon on the system tray, etc.

    For MyCafeCup Client, Once, the authorized user has successfully log-on to the system, MyCafeCup Client will work just almost like a background process to prevent disturbing or conflicting with any running applications or games. And the users are able to use the machine as much like their machine at home, means your cafe services does not give a lot of any annoying things to the customers.
  • Q. My shop servicing a lot of MMORPG/Realtime online games, Are there any problems when using MyCafeCup?
  • A. No. MyCafeCup Client will work well and have no conflict with them, Since MyCafeCup has been optimized, developped and tested with a lot of MMORPG gaming system (Almost of all world famous MMORPG games are using nProtect/ GameGuard to protecting their games from hacking and this is the cause of conflict to almost of all cafe-manager softwares in the market today). You may download our MyCafeCup Platinum evaluation version to see how's it work with any of your games/applications.
For more F.A.Q. please visits our MyCafeCup.com web site.


System Components

Evaluation-Version : End-User License Agreement ("EULA").

MyCafeCup Platinum ® Copyright © 1999-2013 by MyCafeCup Software.
All rights reserved.

This license applies to the evaluation version of MyCafeCup.

MyCafeCup License
Evaluation Version
MyCafeCup Software.
Your Agreement to this License
By using, copying, transmitting, distributing or installing MyCafeCup Platinum ("MyCafeCup"), you agree to all of the terms of this agreement (“License”).

Please read the license terms below. If you do not agree to all of the terms of this License, then do not use, copy, transmit, distribute, or install MyCafeCup.

Scope of License
This is not free software. Subject to the terms below, you are hereby licensed by MyCafeCup Software. to use one copy of MyCafeCup, on one (1) computer or workstation, for evaluation purposes without charge for a 1,000 accounts. If you use this software after the 100 accounts evaluation period a registration fee is required. See the MyCafeCup web site at http://www.MyCafeCup.com for information about ordering and quantity discounts.

Unregistered use of MyCafeCup 1,000 accounts evaluation period is in violation of Thailand and international copyright laws.
You may, without making any payment to MyCafeCup Software:

a) give exact copies of this evaluation version of MyCafeCup personally to anyone, except for the purpose of extending their 1,000 accounts;
b) distribute exact copies of this evaluation version of MyCafeCup, if done exclusively through electronic channels; and
c) make as many exact copies of this evaluation version of MyCafeCup as you wish, for purposes of distribution as described in (a) and (b) above.

You are specifically prohibited from charging, or requesting donations, for any copies, however made, and from distributing such copies with other products of any kind, commercial or otherwise, without prior written permission from MyCafeCup Software. MyCafeCup Software reserves the right to revoke the above distribution rights at any time, for any or no reason.

All rights of any kind in MyCafeCup which are not expressly granted in this License are entirely and exclusively reserved to and by MyCafeCup Software. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, MyCafeCup. You may not make access to MyCafeCup available to others in connection with a service bureau, application service provider, or similar business.

Warranty Disclaimers and Liability Limitations

MyCafeCup, and any and all accompanying software, files, data and materials, are distributed and provided “AS IS” and with no warranties of any kind, whether express or implied. You acknowledge that good data processing procedure dictates that any program, including MyCafeCup, must be thoroughly tested with non-critical data before you rely on it, and you hereby assume the entire risk of using the program. This disclaimer of warranty constitutes an essential part of this License.

Any liability of MyCafeCup Software will be limited exclusively to refund of purchase price, if any. In addition, in no event shall MyCafeCup Software, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any indirect, incidental, consequential, or punitive damages whatsoever relating to the use of MyCafeCup, or to your relationship with MyCafeCup Software.

In addition, in no event does MyCafeCup Software authorize you to use MyCafeCup in applications or systems where MyCafeCup's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use by you is entirely at your own risk, and you agree to hold MyCafeCup Software harmless from any and all claims or losses relating to such unauthorized use.

General

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. This License shall be governed by the laws of Thailand, without regard to Thailand choice-of-law rules. Exclusive jurisdiction and venue for all matters relating to this License shall be in courts and fora located in Thailand, and you consent to such jurisdiction and venue. There are no third party beneficiaries of any promises, obligations or representations made by MyCafeCup Software herein. Any waiver by MyCafeCup Software of any violation of this License by you shall not constitute, nor contribute to, a waiver by MyCafeCup Software of any other or future violation of the same provision, or any other provision, of this License.

Copyright © 1999-2013 by MyCafeCup Software. All rights reserved.


System Components

Registered-Version : End-User License Agreement ("EULA").

MyCafeCup Platinum® Copyright © 1999-2013 by MyCafeCup Software.
All rights reserved.

This license applies to the registered-licensed version of MyCafeCup Platinum. If you have an evaluation version of MyCafeCup Platinum, see the section titled MyCafeCup Platinum Evaluation License.

MyCafeCup Platinum License,
MyCafeCup Software.

Your Agreement to this License

You should carefully read the following terms and conditions before using, installing or distributing this software. Unless you have a different license agreement signed by MyCafeCup Software. (“MyCafeCup Software”) your use, distribution, or installation of MyCafeCup Platinum indicates your acceptance of this agreement ("License"). Thailand and international copyright laws.

If you do not agree to all of the terms and conditions of this License, then: do not copy, install, distribute or use any license code of MyCafeCup Platinum with which this License is included.

The terms and conditions of this License describe the permitted use and user(s) of each Licensed Copy of MyCafeCup Platinum. For purposes of this License, if you have a valid copy license, you have the right to use a "Licensed Copy" of MyCafeCup Platinum by the number of server and client as you have valid-purchased; if you or your organization has a valid multi-user license, then you or your organization have/has the right to use up to a number of "Licensed Copies" of MyCafeCup Platinum equal to the number of copies indicated in the documents issued by MyCafeCup Software when granting the license.

Scope of License

Each Licensed Copy of MyCafeCup Platinum may either be used by a single person who uses the software on one or more computers, or installed on a single workstation used nonsimultaneously by multiple people, but not both. This is not a concurrent use license. The license code have to use only at the address that you have registered with us.

Each Licensed Copy may be accessed through a network, provided that you have purchased rights to use a Licensed Copy for each workstation that will access MyCafeCup Platinum through the network. For instance, if 8 different workstations will access MyCafeCup Platinum server on the network, you must purchase rights to use 8 Licensed Copies of MyCafeCup Platinum workstations, regardless of whether the 8 workstations will access MyCafeCup Platinum at different times or concurrently.

All rights of any kind in MyCafeCup Platinum which are not expressly granted in this License are entirely and exclusively reserved to and by MyCafeCup Software. You may not rent, lease, modify, translate, reverse engineer, decompile, disassemble, or create derivative works based on, MyCafeCup Platinum, nor permit anyone else to do so. You may not make access to MyCafeCup Platinum available to others in connection with a service bureau, application service provider, or similar business, nor permit anyone else to do so.

Warranty Disclaimers and Liability Limitations

MyCafeCup Platinum, and any and all accompanying software, files, data and materials, are distributed and provided “AS IS” and with no warranties of any kind, whether express or implied. You acknowledge that good data processing procedure dictates that any program.luding MyCafeCup Platinum, must be thoroughly tested with non-critical data before there is any reliance on it, and you hereby assume the entire risk of all use of the copies of MyCafeCup Platinum covered by this License. This disclaimer of warranty constitutes an essential part of this License.

Any liability of MyCafeCup Software will be limited exclusively to refund of purchase price. In addition, in no event shall MyCafeCup Software, or its principals, shareholders, officers, employees, affiliates, contractors, subsidiaries, or parent organizations, be liable for any indirect.idental, consequential, or punitive damages whatsoever relating to the use of MyCafeCup Platinum, or to your relationship with MyCafeCup Software.

In addition, in no event does MyCafeCup Software authorize you or anyone else to use MyCafeCup Platinum in applications or systems where MyCafeCup Platinum's failure to perform can reasonably be expected to result in a significant physical injury, or in loss of life. Any such use is entirely at your own risk, and you agree to hold MyCafeCup Software harmless from any and all claims or losses relating to such unauthorized use.

General

This License is the complete statement of the agreement between the parties on the subject matter, and merges and supersedes all other or prior understandings, purchase orders, agreements and arrangements. This License shall be governed by the laws of Thailand, without regard to Thailand choice-of-law rules. Exclusive jurisdiction and venue for all matters relating to this License shall be in courts and fora located in Thailand, and you consent to such jurisdiction and venue. There are no third party beneficiaries of any promises, obligations or representations made by MyCafeCup Software herein. Any waiver by MyCafeCup Software of any violation of this License by you shall not constitute, nor contribute to, a waiver by MyCafeCup Software of any other or future violation of the same provision, or any other provision, of this License.

Copyright © 1999-2013 by MyCafeCup Software. All rights reserved.


MyCafeCup Software

Welcome to MyCafeCup Platinum.

MyCafeCup Platinum

The Ultimate Internet Cafe / Cyber Cafe Management Software Solution.

Visit our homepage | Home Page http://www.MyCafeCup.com
To purchase MyCafeCup Platinum | Contact E-mail info@mycafecup.com

Cool Link !

Cafe de Bangkok.com